Build error with XCode 13

Hey all,

Since the release of xcode 13 there has been a build error in the DFU library.
Any news on a fix?

Regards,
Nick

Comments

  • What is the error?

  • Apple has made properties optional which were not optional before which breaks the build of DFULibrary in Xcode 13. Do you have plans for a new release with the updated DFU-Library suitable for Xcode 13?

  • @NickMoutsios
    We fixed it by including DFU seperately.
    pod 'MetaWear', :subspecs => ['UI', 'AsyncUtils']
    pod 'iOSDFULibrary'

    @Laura
    What was the point of setting the minimum deployment target from 10 to 14.5?

  • @Knokker
    Thank you for this! I will try it today.

  • @NickMoutsios said:
    Hey all,

    Since the release of xcode 13 there has been a build error in the DFU library.
    Any news on a fix?

    Regards,
    Nick

    I encountered the same issue after updating to xcode 13.

  • @Knokker said:
    @NickMoutsios
    We fixed it by including DFU seperately.
    pod 'MetaWear', :subspecs => ['UI', 'AsyncUtils']
    pod 'iOSDFULibrary'

    @Laura
    What was the point of setting the minimum deployment target from 10 to 14.5?

    This solution works for me. Thanks for sharing. @Knokker

Sign In or Register to comment.